package com.mvc.dao;

import com.mvc.entity.TMainten;

import java.util.List;

import com.mvc.entity.TMaintenExample;
import org.apache.ibatis.annotations.Param;

public interface TMaintenMapper {
    long countByExample(TMaintenExample example);

    int deleteByExample(TMaintenExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TMainten record);

    int insertSelective(TMainten record);

    List<TMainten> selectByExample(TMaintenExample example);

    TMainten selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TMainten record, @Param("example") TMaintenExample example);

    int updateByExample(@Param("record") TMainten record, @Param("example") TMaintenExample example);

    int updateByPrimaryKeySelective(TMainten record);

    int updateByPrimaryKey(TMainten record);
}